#!/usr/bin/python
import sys, time, smbus

# EEPROM 24C02
# bus, address, register
bus = 1
address = 0x50
reg = 0x01
data  = [ 0x48, 0x61, 0x6c, 0x6c, 0x6f, 0x20, 0x43, 0x4c, 0x54 ]

eeprom = smbus.SMBus(bus)

print "I2C: write to device 0x%02X" % address
try:
  eeprom.write_i2c_block_data(address, reg, data)
except IOError, err:
  print "Error accessing I2C address: 0x%02X" % address
  exit(-1)
time.sleep(0.1)

print "I2C: read from device 0x%02X" % address
for i in range(len(data)):
  try:
    ret = eeprom.read_byte_data(address, reg+i)
  except IOError, err:
    print "Error accessing I2C address: 0x%02X" % address
    exit(-1)
  print " %c" % ret

