#!/usr/bin/python
# coding: utf8
#

import sys, time, smbus

def read_lm75():
  # bus, address
  bus = 1
  addr = 0x48

  i2c = smbus.SMBus(bus)

  msb, lsb = i2c.read_i2c_block_data(addr, 0, 2)
  # print "raw hex data: %02x %02x" % (msb, lsb)
  if (msb & 0x80):
    t = 0
    print "Huh ist das kalt ..."
  else:
    t = (float)(msb << 1 | lsb >> 7)/2
  return(t)


if __name__ == '__main__':
  while True:
    print "Temperatur: %.1f °C " % read_lm75()
    time.sleep(0.5)    
