#!/usr/bin/python
import sys, time
import RPi.GPIO as GPIO

# use BCM GPIO numbering
GPIO.setmode(GPIO.BCM)

OUTPUTS = [ 17, 27, 22 ]
INPUTS = [ 24, 23 ]

# setup outputs
for i in OUTPUTS:
  GPIO.setup(i, GPIO.OUT)
  GPIO.output(i, True)
  time.sleep(0.2)
  GPIO.output(i, False)

# setup inputs
for i in INPUTS:
  GPIO.setup(i, GPIO.IN)

while True:
  if GPIO.input(24):
    GPIO.output(17, True)
    if GPIO.input(23):
      break
  if GPIO.input(23):
    GPIO.output(22, True)


GPIO.cleanup()


